Исследователи из 9sg Security обнаружили критические уязвимости в двух компонентах программного обеспечения, разработанного поставщиком решений для промышленной автоматизации EZAutomation. Их эксплуатация позволяет злоумышленнику выполнить удаленный код.

Одна из уязвимостей (CVE-2019-13518) связана с переполнением буфера в стеке. Она затрагивает редактор человеко-машинного интерфейса EZTouch Editor версии 2.1.0 и ниже. Эксплуатация уязвимости позволяет злоумышленнику выполнить произвольный код в контексте текущего процесса, если пользователь откроет специально сформированный файл проекта EZP.

Вторая уязвимость (CVE-2019-13522) связана с повреждением памяти и затрагивает решение EZ PLC Editor (версии 1.8.41 и более ранние) — инструмент программирования для программируемых логических контроллеров. Эксплуатация уязвимости также позволяет злоумышленнику выполнить произвольный код. Для этого он должен убедить пользователя открыть вредоносный файл проекта EZC.

Уязвимости были исправлены в EZPLC Editor версии 1.9.0 и EZTouch Editor версии 2.2.0.

Читайте также